Skip to content

Search messages in conversation

GET
/vendor/conversations/{id}/messages/search

Поиск сообщений внутри конкретного диалога

Authorizations

sessionCookie

PHP session cookie (HTTP-only, Secure, SameSite=Lax)

Type
API Key (cookie: PARTIZAP_SESSION)

Parameters

Path Parameters

id*

Conversation ID

Type
integer
Required

Query Parameters

q*

Search query (min 2 characters)

Type
string
Required
Min Length
2
cursor

Opaque cursor for pagination

Type
string
limit

Number of items per page

Type
integer
Minimum
1
Maximum
100
Default
50

Responses

Search results

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"id": 0,
  
  
  
"conversation_id": 0,
  
  
  
"sender_id": 0,
  
  
  
"text": "string",
  
  
  
"image_url": "string",
  
  
  
"is_read": true,
  
  
  
"is_delivered": true,
  
  
  
"created_at": "string"
  
  
}
  
],
  
"meta": {
  
  
"has_more": true,
  
  
"next_cursor": "abc123xyz"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI